<!--
~ Copyright (c) 2005-2010, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
~
~ WSO2 Inc. licenses this file to you under the Apache License,
~ Version 2.0 (the "License"); you may not use this file except
~ in compliance with the License.
~ You may obtain a copy of the License at
~
~ http://www.apache.org/licenses/LICENSE-2.0
~
~ Unless required by applicable law or agreed to in writing,
~ software distributed under the License is distributed on an
~ "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
~ KIND, either express or implied. See the License for the
~ specific language governing permissions and limitations
~ under the License.
-->
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib uri="http://wso2.org/projects/carbon/taglibs/carbontags.jar" prefix="carbon" %>
<%@ page import="org.apache.axis2.context.ConfigurationContext" %>
<%@ page import="org.apache.commons.logging.Log" %>
<%@ page import="org.apache.commons.logging.LogFactory" %>
<%@ page import="org.wso2.carbon.CarbonConstants" %>
<%@ page import="org.wso2.carbon.adminconsole.common.AdminConsoleConstants" %>
<%@ page import="org.wso2.carbon.adminconsole.ui.AdminConsoleClient" %>
<%@ page import="org.wso2.carbon.adminconsole.ui.stub.types.RSSInstance" %>
<%@ page import="org.wso2.carbon.ui.CarbonUIUtil" %>
<%@ page import="org.wso2.carbon.user.mgt.common.FlaggedName" %>
<%@ page import="org.wso2.carbon.user.mgt.ui.UserAdminClient" %>
<%@ page import="org.wso2.carbon.utils.ServerConstants" %>

<fmt:bundle basename="org.wso2.carbon.adminconsole.ui.i18n.Resources">
    <carbon:breadcrumb
            label="Database Instances"
            resourceBundle="org.wso2.carbon.adminconsole.ui.i18n.Resources"
            topPage="false"
            request="<%=request%>"/>
    <script type="text/javascript" src="js/uiValidator.js"></script>
    <%
        Log log = LogFactory.getLog(this.getClass());
        AdminConsoleClient client = null;
        String instanceName;
        String tenantDomain = null;

        try {
            String backendServerUrl = CarbonUIUtil.getServerURL(config.getServletContext(), session);
            ConfigurationContext configContext =
                    (ConfigurationContext) config.getServletContext().getAttribute(CarbonConstants.CONFIGURATION_CONTEXT);
            String cookie = (String) session.getAttribute(ServerConstants.ADMIN_SERVICE_COOKIE);
            client = new AdminConsoleClient(cookie, backendServerUrl, configContext);
            tenantDomain = (String) session.getAttribute("tenantDomain");

        } catch (Exception e) {
            String errorMsg = e.getLocalizedMessage();
            log.error(errorMsg);
        }
    %>

    <%
        RSSInstance[] instances = new RSSInstance[0];
        if (client != null) {
            instances = client.getRSSInstanceList();
        }
        boolean hasRecords = false;
        if (instances != null && instances.length > 0) {
            hasRecords = true;
        }
    %>
    <div id="middle">
        <h2><fmt:message key="admin.console.instances"/></h2>

        <div id="workArea">
            <form method="post" action="instances.jsp" name="instanceDataForm"
                  onsubmit="return validateInstanceDataForm();">
                <table class="styledLeft" id="instanceTable">
                    <% if (hasRecords) {%>
                    <thead>
                    <tr>
                        <th width="20%"><fmt:message key="admin.console.instance.name"/></th>
                        <th width="20%"><fmt:message key="admin.console.tenant.domain"/></th>
                        <th width="20%"><fmt:message key="admin.console.server.category"/></th>
                        <th width="60%"><fmt:message key="admin.console.actions"/></th>
                    </tr>
                    </thead>
                    <tbody>
                    <%
                        for (int i = 0; i < instances.length; i++) {
                            RSSInstance instance = instances[i];
                            if (instance != null) {
                                instanceName = instance.getName();
                    %>
                    <tr id="tr_<%=instanceName%>">
                        <td id="td_<%=instanceName%>"><%=instanceName%>
                        </td>
                        <td><%=client.getTenantDomain(instance.getTenantId())%>
                        </td>
                        <td><%=instance.getServerCategory()%>
                        </td>
                        <%
                            if (tenantDomain == null) {
                                if (!AdminConsoleConstants.WSO2_USER_DEFINED_INSTANCE_TYPE.equals(
                                        instance.getInstanceType()) ||
                                        AdminConsoleConstants.WSO2_LOCAL_RDS_INSTANCE_TYPE.equals(
                                                instance.getInstanceType())) {

                        %>
                        <td>
                            <a class="icon-link"
                               style="background-image:url(../admin/images/edit.gif);"
                               onclick="redirectToEditPage(this, <%=instance.getRssInstanceId()%>)"><fmt:message
                                    key="admin.console.edit.instance"/></a>
                            <a class="icon-link"
                               style="background-image:url(../admin/images/delete.gif);"
                               href="#"
                               onclick="removeInstance(this, '<%=instance.getRssInstanceId()%>');"><fmt:message
                                    key="admin.console.drop.instance"/></a>
                        </td>
                    </tr>
                    <%
                        }
                    } else {
                            if(!AdminConsoleConstants.WSO2_RSS_INSTANCE_TYPE.equals(instance.getInstanceType())) {
                    %>
                    <td>
                        <a class="icon-link"
                           style="background-image:url(../admin/images/edit.gif);"
                           onclick="redirectToEditPage(this, <%=instance.getRssInstanceId()%>)"><fmt:message
                                key="admin.console.edit.instance"/></a>
                        <a class="icon-link"
                           style="background-image:url(../admin/images/delete.gif);"
                           href="#"
                           onclick="removeInstance(this, '<%=instance.getRssInstanceId()%>');"><fmt:message
                                key="admin.console.drop.instance"/></a>
                    </td>
                    </tr>
                    <%
                                        }
                                    }
                                }
                            }
                        }
                    %>
                    <div id="connectionStatusDiv" style="display: none;"></div>
                    <tr>
                        <td colspan="4">
                            <a class="icon-link"
                               style="background-image:url(../admin/images/add.gif);"
                               href="addInstance.jsp"><fmt:message
                                    key="admin.console.add.new.instance"/></a>
                        </td>
                    </tr>

                    </tbody>
                </table>
            </form>
        </div>
    </div>
</fmt:bundle>
