<!--
~ Copyright (c) 2005-2010, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
~
~ WSO2 Inc. licenses this file to you under the Apache License,
~ Version 2.0 (the "License"); you may not use this file except
~ in compliance with the License.
~ You may obtain a copy of the License at
~
~ http://www.apache.org/licenses/LICENSE-2.0
~
~ Unless required by applicable law or agreed to in writing,
~ software distributed under the License is distributed on an
~ "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
~ KIND, either express or implied. See the License for the
~ specific language governing permissions and limitations
~ under the License.
-->

<%@ page import="org.apache.axis2.context.ConfigurationContext" %>
<%@ page import="org.apache.commons.logging.Log" %>
<%@ page import="org.apache.commons.logging.LogFactory" %>
<%@ page import="org.wso2.carbon.CarbonConstants" %>
<%@ page import="org.wso2.carbon.adminconsole.ui.AdminConsoleClient" %>
<%@ page import="org.wso2.carbon.adminconsole.ui.beans.DatabaseInstance" %>
<%@ page import="org.wso2.carbon.adminconsole.ui.stub.types.RSSInstance" %>
<%@ page import="org.wso2.carbon.ui.CarbonUIUtil" %>
<%@ page import="org.wso2.carbon.utils.ServerConstants" %>

<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib uri="http://wso2.org/projects/carbon/taglibs/carbontags.jar" prefix="carbon" %>

<script type="text/javascript" language="JavaScript" src="js/uiValidator.js"></script>

<fmt:bundle basename="org.wso2.carbon.adminconsole.ui.i18n.Resources">
    <carbon:breadcrumb resourceBundle="org.wso2.carbon.adminconsole.ui.i18n.Resources"
                       topPage="true" request="<%=request%>" label="admin.console.header"/>

    <%
        Log log = LogFactory.getLog(this.getClass());
        String strDatabaseInsId = request.getParameter("dbInsId");
        int dbInsId = (strDatabaseInsId == null) ? 0 : Integer.parseInt(strDatabaseInsId);
        String strRssInsId = request.getParameter("rssInsId");
        int rssInsId = (strRssInsId == null) ? 0 : Integer.parseInt(strRssInsId);

        String username = request.getParameter("username");
        String password = request.getParameter("password");
        username = (username == null) ? "" : username;
        password = (password == null) ? "" : password;

        AdminConsoleClient client;
        RSSInstance rssIns = null;
        DatabaseInstance db = null;

        String backendServerURL = CarbonUIUtil.getServerURL(config.getServletContext(), session);
        ConfigurationContext configContext = (ConfigurationContext) config.getServletContext().
                getAttribute(CarbonConstants.CONFIGURATION_CONTEXT);
        String cookie = (String) session.getAttribute(ServerConstants.ADMIN_SERVICE_COOKIE);
        try {
            client = new AdminConsoleClient(cookie, backendServerURL, configContext);
            db = client.getDatabaseInstanceInfo(rssInsId, dbInsId);
            rssIns = client.getRSSInstanceById(rssInsId);
        } catch (Exception e) {
            String errorMsg = e.getLocalizedMessage();
        }

    %>

    <div id="middle">
        <h2><fmt:message key="admin.console.add.new.user"/></h2>

        <div id="workArea">
            <form method="post" action="userProcessor.jsp" name="dataForm"
                  onsubmit="return validatePrivileges()">
                <table class="styledLeft" id="dbGeneralInfo">
                    <thead>
                    <tr>
                        <th width="20%"><fmt:message key="admin.console.property.name"/></th>
                        <th width="60%"><fmt:message key="admin.console.value"/></th>
                    </tr>
                    </thead>
                    <tbody>
                    <input id="host" name="host" type="hidden" readonly="readonly"
                           value="<%=(rssIns != null) ? rssIns.getName() : "Undefined"%>"/>
                    <input type="hidden" name="rssInsId" id="rssInsId" value="<%=rssInsId%>"/>
                    <input type="hidden" name="dbInsId" id="dbInsId"
                           value="<%=(db != null) ? db.getDatabaseInstanceId() : 0%>"/>
                    <tr>
                        <td><fmt:message key="admin.console.permissions.username"/></td>
                        <td><input type="text" id="username" name="username" value="<%=username%>"/>
                        </td>
                    </tr>
                    <tr>
                        <td><fmt:message key="admin.console.permissions.password"/></td>
                        <td><input type="password" id="password" name="password"
                                   value="<%=password%>"/></td>
                    </tr>
                    <tr>
                        <td><fmt:message key="admin.console.default.user.repeat.password"/></td>
                        <td><input type="password" id="repeatPassword" name="repeatPassword"/></td>
                    </tr>
                    <tr>
                        <td><fmt:message key="admin.console.default.user.repeat.password"/></td>
                        <td>
                            <select id="privilegeGroups" name="privilegeGroups" onchange="setPrivilegeGroup()">
                                 <option>groups1</option>
                                 <option>groups2</option>
                                 <option>groups3</option>
                            </select>
                        </td>
                    </tr>

                    </tbody>
                </table>

                <input id="flag" name="flag" type="hidden" value="add"/>
                <input id="privilegeGroup" name="privilegeGroup" type="hidden"/>
                <tr>
                    <td class="buttonRow" colspan="2">
                        <input class="button" type="submit"
                               value="<fmt:message key="admin.console.save"/>"/>

                        <input class="button" type="button"
                               value="<fmt:message key="admin.console.cancel"/>"
                               onclick="document.location.href = 'users.jsp'"/>

                    </td>
                </tr>

            </form>
        </div>
    </div>
</fmt:bundle>

